---
title: XRWebGLLayer.framebufferWidth
slug: Web/API/XRWebGLLayer/framebufferWidth
tags:
  - API
  - AR
  - Buffer
  - Frame
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRWebGLLayer
  - augmented
  - framebufferWidth
  - width
---
<p>{{securecontext_header}}{{APIRef("WebXR Device API")}}</p>

<p><span class="seoSummary">The read-only {{domxref("XRWebGLLayer")}} property <strong><code>framebufferWidth</code></strong> specifies the width of the framebuffer, in pixels.</span></p>

<p>You can get the height of the framebuffer using the {{domxref("XRWebGLLayer.framebufferHeight", "framebufferHeight")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>bufferWidth</em> = <em>xrWebGLLayer</em>.framebufferWidth;</pre>

<h3 id="Value">Value</h3>

<p>The width in pixels of the XR device's framebuffer. Each of the framebuffer's attachments (pixel, depth, color, and/or stencil buffers, for example) are all this many pixels wide.</p>

<h2 id="Examples">Examples</h2>

<p>This snippet fetches the framebuffer's width and height for later use.</p>

<pre class="brush: js">let glLayer = xrSession.renderState.baseLayer;
gl.bindFramebuffer(gl.FRAMEBUFFER, glLayer.framebuffer);

frameWidth = glLayer.framebufferWidth;
frameHeight = glLayer.framebufferHeight;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrwebgllayer-framebufferwidth','XRWebGLLayer.framebufferWidth')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRWebGLLayer.framebufferWidth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR Device API</a></li>
 <li>{{domxref("WebGLLayerInit")}}</li>
</ul>
